Package io.milvus.param.alias

## Class AlterAliasParam.Builder

- java.lang.Object
- - io.milvus.param.alias.AlterAliasParam.Builder

- Enclosing class:
    AlterAliasParam

      public static final class AlterAliasParam.Builder
      extends java.lang.Object

  Builder for `AlterAliasParam` class.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AlterAliasParam` | `build()` | Verifies parameters and creates a new `AlterAliasParam` instance.
    `AlterAliasParam.Builder` | `withAlias​(@NonNull java.lang.String alias)` | Sets the collection alias.
    `AlterAliasParam.Builder` | `withCollectionName​(@NonNull java.lang.String collectionName)` | Sets the collection name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### withCollectionName

          public AlterAliasParam.Builder withCollectionName​(@NonNull
                                                            @NonNull java.lang.String collectionName)

      Sets the collection name. Collection name cannot be empty or null.
      Parameters:
        `collectionName` - collection name
      Returns:
        `Builder`

    - #### withAlias

          public AlterAliasParam.Builder withAlias​(@NonNull
                                                   @NonNull java.lang.String alias)

      Sets the collection alias. Collection alias cannot be empty or null.
      Parameters:
        `alias` - alias of the collection
      Returns:
        `Builder`

    - #### build

          public AlterAliasParam build()
                                throws ParamException

      Verifies parameters and creates a new `AlterAliasParam` instance.
      Returns:
        `AlterAliasParam`
      Throws:
        `ParamException`